<h2>Validaciones Reactivas</h2>
<hr>

<div class="row">
  <div class="col">

    <form autocomplete="off" [formGroup]="myForm" (ngSubmit)="onSubmit()">

      <!-- Nombre -->
      <div class="row mb-3">
        <label class="col-sm-3 col-form-label">Nombre</label>
        <div class="col-sm-9">
          <input type="text" class="form-control" placeholder="Nombre del usuario" formControlName="name">

          <span *ngIf="isValidField('name')" class="form-text text-danger">
            Debe de ser en formato de nombre y apellido
          </span>
        </div>
      </div>

      <!-- Email -->
      <div class="row mb-3">
        <label class="col-sm-3 col-form-label">Email</label>
        <div class="col-sm-9">
          <input type="email" class="form-control" placeholder="Email del usuario" formControlName="email">
          <span *ngIf="isValidField('email')" class="form-text text-danger">
            mensaje de error del email
          </span>
        </div>
      </div>

      <!-- Username -->
      <div class="row mb-3">
        <label class="col-sm-3 col-form-label">Username</label>
        <div class="col-sm-9">
          <input type="text" class="form-control" placeholder="Nombre código del usuario" formControlName="username">
          <span *ngIf="isValidField('username')" class="form-text text-danger">
            El username no puede ser Strider
          </span>
        </div>
      </div>

      <!-- Password -->
      <div class="row mb-3">
        <label class="col-sm-3 col-form-label">Password</label>
        <div class="col-sm-9">
          <input type="password" class="form-control" placeholder="Password de su cuenta" formControlName="password">

          <span *ngIf="isValidField('password')" class="form-text text-danger">
            La contraseña debe de ser mayor de 6 caracteres.
          </span>
        </div>
      </div>

      <!-- Password2 -->
      <div class="row mb-3">
        <label class="col-sm-3 col-form-label">Confirmar</label>
        <div class="col-sm-9">
          <input type="password" class="form-control" placeholder="Confirmar la contraseña" formControlName="password2">

          <span *ngIf="isValidField('password2')" class="form-text text-danger">
            Las contraseñas deben de ser iguales
          </span>
        </div>
      </div>


      <div class="row">
        <div class="col">
          <button class="btn btn-primary float-end" type="submit">
            Crear
          </button>
        </div>
      </div>


    </form>
  </div>
</div>


<h2>Form Valid: {{myForm.valid}} </h2>
<h2>Form Status: {{myForm.status}} </h2>
<h2>Form Pending: {{myForm.pending}} </h2>
<h2>Form errors</h2>
<pre>{{ myForm.errors| json }}</pre>

<h5>Nombre</h5>
<pre>{{ myForm.value.name | json }}</pre>

<h5>Email</h5>
<pre>{{ myForm.value.email | json }}</pre>

<h5>Username</h5>
<pre>{{ myForm.controls['username'].errors | json }}</pre>


<h5>Password</h5>
<pre>{{ myForm.value.password | json }}</pre>

<h5>Confirmar</h5>
<pre>{{ myForm.controls['password2'].errors | json }}</pre>